#ifndef CHMDIR_H_INCLUDED
#define CHMDIR_H_INCLUDED

/* from UTF8.c */
wchar_t *decode_UTF8(wchar_t *ws, char *utf8s);

/* from chmdir.c */
extern int show_spec_files; /* set to 1 if you want to see special CHM files */
extern int show_stor_files; /* set to 1 if you want to see special IStorage files */
extern int use_file_attrib; /* set to 1 if you want attribs for special files */

extern HANDLE   __stdcall   OpenArchive(tOpenArchiveData *ad);
extern int      __stdcall   CloseArchive(HANDLE had);
extern int      __stdcall   ReadHeader(HANDLE had, tHeaderData *hd);
extern int      __stdcall   ProcessFile(HANDLE had, int op, char *destpath, char *destname);
extern int      __stdcall   GetPackerCaps(void);
extern int      __stdcall   CanYouHandleThisFile(char *FileName);
extern void     __stdcall   SetChangeVolProc(HANDLE had, tChangeVolProc pChangeVolProc1);
extern void     __stdcall   SetProcessDataProc(HANDLE had, tProcessDataProc pProcessDataProc);

extern void                 chmdir_init(HINSTANCE hDLL);

#ifdef CHMDIR_DLL
    extern BOOL WINAPI DllMain(HINSTANCE hDLL, DWORD Reason, LPVOID Reserved);
#endif

#endif
/* #ifndef CHMDIR_H_INCLUDED */
